Simulationでstudyをマクロから選択したい

  • 公開
By 柴田幸 39 日前

Simulationでstudyをマクロから選択したいのですがどのメソッドを使えば良いのかわからないので

もしわかる方がいらっしゃったらご教授頂けないでしょうか。

やりたいことはstudyが以上に沢山あるので(72個!)下のタブから選択するのが面倒なので

フォームのリストボックスからstudyを選択できるようにしたい。

フォームを作るところまではうまく行ったのですがリストボックスのインデックスから

対応するstudyを選択するところでつまづいています。

Private Sub StudyListBox1_Click()

Dim SwApp As SldWorks.SldWorks
Dim Part As SldWorks.ModelDoc2
Dim COSMOSWORKS As CosmosWorksLib.COSMOSWORKS
Dim CWAddinCallBack As CosmosWorksLib.CWAddinCallBack
Dim ActDoc As CosmosWorksLib.CWModelDoc
Dim StudyMngr As CosmosWorksLib.CWStudyManager
Dim Study As CosmosWorksLib.CWStudy
Dim Count As Integer
Dim sStudyName As String
Dim i As Long
Dim Selected As Integer

 

'Connect to SOLIDWORKS
Set SwApp = Application.SldWorks
If SwApp Is Nothing Then Exit Sub

'Get active document
Set Part = SwApp.ActiveDoc
If Part Is Nothing Then Exit Sub
'Add-in callback
Set CWAddinCallBack = SwApp.GetAddInObject("CosmosWorks.CosmosWorks")
If CWAddinCallBack Is Nothing Then Exit Sub
Set COSMOSWORKS = CWAddinCallBack.COSMOSWORKS
If COSMOSWORKS Is Nothing Then Exit Sub

'Get active document
Set ActDoc = COSMOSWORKS.ActiveDoc()
If ActDoc Is Nothing Then Exit Sub


Set StudyMngr = ActDoc.StudyManager()
If StudyMngr Is Nothing Then Exit Sub

Count = StudyMngr.StudyCount

Selected = StudyListBox1.ListIndex

Set Study = StudyMngr.GetStudy(Selected)'←この辺が怪しいです
Study.ActivateConfiguration'←この辺が怪しいです
StudyMngr.ActiveStudy = Selected'←この辺が怪しいです


End Sub